# IServ2LMS

Skripte für die Anbindung von Moodle/LogineoLMS an IServ.

## Vorbereitung

1. Gruppen exportieren (Gruppenliste in IServ erstellen)
2. Kollegiumsgruppe als Export_Kollegium.csv ablegen
3. SuS-Gruppe als Export_SuS.csv ablegen

## Sonstiges
### Aufbau des Exports
IServ exportiert CSV mit folgenden Einstellungen:
- Codierung: UTF-8 mit BOM
- Zeilenumbruch: LF
- Spaltentrenner: ; 
- Strings: ""

### Feldzuordnung
Moodle | IServ | Kommentar
---|---|---
username | IServ-Username
firstname | Vorname
lastname | Nachname
email | IServ-Mailadresse | i.d.R. username@iserv-instanz
profile_field_Klasse | Klasse (oder Kollegium) | hieraus wird die globale Gruppe
profile_field_Lehrer_in | 0 oder 1 | für Lehrer*innen 1
idnumber | Import-ID | nicht notwendig, oft leer
password | oauth2 | WICHTIG, sonst kein Login möglich
course1..X | Gruppen | In Moodle eine Spalte je Kurs, in IServ kommasepariert in einer Spalte
role1..X | n.V. | Rolle im Kurs, i.d.R. *editingteacher* oder *student*
sysrole1..X | n.V. | Rolle im System evtl. sinvoll für Lehrkräfte: *coursecreator*

